Company logoTrust Center Documentation
API v1 ReferenceNda acceptances

List NDA acceptances

Retrieve all NDA acceptances for the authenticated tenant. Browse request parameters, authentication requirements, response payloads, and working code…

GET
/api/v1/nda-acceptances

Retrieve all NDA acceptances for the authenticated tenant

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Query Parameters

account_id?string

Filter by account ID

Formatuuid
contact_id?string

Filter by contact ID

Formatuuid
template_id?string

Filter by template ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/nda-acceptances?account_id=850e8400-e29b-41d4-a716-446655440000&contact_id=750e8400-e29b-41d4-a716-446655440000&template_id=550e8400-e29b-41d4-a716-446655440000"
{  "acceptances": [    {      "id": "650e8400-e29b-41d4-a716-446655440000",      "contact": {        "id": "750e8400-e29b-41d4-a716-446655440000",        "first_name": "John",        "last_name": "Doe",        "email": "john.doe@example.com"      },      "account": {        "id": "850e8400-e29b-41d4-a716-446655440000",        "name": "Acme Corp",        "domain": "acme.com"      },      "nda_template": {        "id": "550e8400-e29b-41d4-a716-446655440000",        "title": "Standard Bilateral NDA",        "type": "bilateral"      },      "accepted_at": "2024-01-15T14:30:00Z",      "acceptance_method": "clickwrap",      "date_created": "2024-01-15T14:30:00Z"    }  ]}

How is this guide?